Subject: Re: Success! (was Re: External Monitor under Pismo)

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 4 May 2001 16:54:22 +0200

>
>
>If you point the second CRTC to the same frame buffer region, you'll have
>mirrorring, else you have two different heads.

In most cases (like what I do with aty128fb), you don't even need to use the
second CRTC. Just enable both outputs and let them source from the first CRTC.

>> So i suppose the you will need to use a trick similar to the matrox one
>to get
>> dual headed accelerated X to work.
>
>Yep. The same is true for atyfb (yes, I should add mirrorring/dualhead
support
>for the Mobility in my Vaio :-).
>
>> But could it be possible to block this in hardware, and thus force
mirroring
>> only operation ?
>
>I suppose yes.
>
>> How many different rage 128 mobility are around anyway ?
>
>No idea. I just at the ATI website earlier today, and they seem to have new
>variants called M4 and Radeon Mobility.

** Sent via the linuxppc-dev mail list. See http://lists.linuxppc.org/